ChangeSet 1.797.147.2, 2002/12/02 23:29:53-08:00, greg@kroah.com

[PATCH] USB: fix up urb callback functions due to argument change


diff -Nru a/drivers/bluetooth/hci_usb.c b/drivers/bluetooth/hci_usb.c
--- a/drivers/bluetooth/hci_usb.c	Thu Dec  5 15:27:42 2002
+++ b/drivers/bluetooth/hci_usb.c	Thu Dec  5 15:27:42 2002
@@ -92,9 +92,9 @@
 	{ }	/* Terminating entry */
 };
 
-static void hci_usb_interrupt(struct urb *urb);
-static void hci_usb_rx_complete(struct urb *urb);
-static void hci_usb_tx_complete(struct urb *urb);
+static void hci_usb_interrupt(struct urb *urb, struct pt_regs *regs);
+static void hci_usb_rx_complete(struct urb *urb, struct pt_regs *regs);
+static void hci_usb_tx_complete(struct urb *urb, struct pt_regs *regs);
 
 static struct urb *hci_usb_get_completed(struct hci_usb *husb)
 {
@@ -429,7 +429,7 @@
 	return 0;
 }
 
-static void hci_usb_interrupt(struct urb *urb)
+static void hci_usb_interrupt(struct urb *urb, struct pt_regs *regs)
 {
 	struct hci_usb *husb = (void *) urb->context;
 	struct hci_usb_scb *scb;
@@ -531,7 +531,7 @@
 				husb->hdev.name, status);
 }
 
-static void hci_usb_tx_complete(struct urb *urb)
+static void hci_usb_tx_complete(struct urb *urb, struct pt_regs *regs)
 {
 	struct sk_buff *skb  = (struct sk_buff *) urb->context;
 	struct hci_dev *hdev = (struct hci_dev *) skb->dev;
@@ -563,7 +563,7 @@
 	return;
 }
 
-static void hci_usb_rx_complete(struct urb *urb)
+static void hci_usb_rx_complete(struct urb *urb, struct pt_regs *regs)
 {
 	struct sk_buff *skb  = (struct sk_buff *) urb->context;
 	struct hci_dev *hdev = (struct hci_dev *) skb->dev;
diff -Nru a/drivers/media/video/cpia_usb.c b/drivers/media/video/cpia_usb.c
--- a/drivers/media/video/cpia_usb.c	Thu Dec  5 15:27:42 2002
+++ b/drivers/media/video/cpia_usb.c	Thu Dec  5 15:27:42 2002
@@ -107,7 +107,7 @@
 static struct cam_data *cam_list;
 static spinlock_t cam_list_lock_usb;
 
-static void cpia_usb_complete(struct urb *urb)
+static void cpia_usb_complete(struct urb *urb, struct pt_regs *regs)
 {
 	int i;
 	char *cdata;
diff -Nru a/drivers/usb/class/audio.c b/drivers/usb/class/audio.c
--- a/drivers/usb/class/audio.c	Thu Dec  5 15:27:42 2002
+++ b/drivers/usb/class/audio.c	Thu Dec  5 15:27:42 2002
@@ -890,7 +890,7 @@
 	return err ? -1 : 0;
 }
 
-static void usbin_completed(struct urb *urb)
+static void usbin_completed(struct urb *urb, struct pt_regs *regs)
 {
 	struct usb_audiodev *as = (struct usb_audiodev *)urb->context;
 	struct usbin *u = &as->usbin;
@@ -956,7 +956,7 @@
 	return 0;
 }
 
-static void usbin_sync_completed(struct urb *urb)
+static void usbin_sync_completed(struct urb *urb, struct pt_regs *regs)
 {
 	struct usb_audiodev *as = (struct usb_audiodev *)urb->context;
 	struct usbin *u = &as->usbin;
@@ -1250,7 +1250,7 @@
 	return 0;
 }
 
-static void usbout_completed(struct urb *urb)
+static void usbout_completed(struct urb *urb, struct pt_regs *regs)
 {
 	struct usb_audiodev *as = (struct usb_audiodev *)urb->context;
 	struct usbout *u = &as->usbout;
@@ -1323,7 +1323,7 @@
 	return 0;
 }
 
-static void usbout_sync_completed(struct urb *urb)
+static void usbout_sync_completed(struct urb *urb, struct pt_regs *regs)
 {
 	struct usb_audiodev *as = (struct usb_audiodev *)urb->context;
 	struct usbout *u = &as->usbout;
diff -Nru a/drivers/usb/media/dabusb.c b/drivers/usb/media/dabusb.c
--- a/drivers/usb/media/dabusb.c	Thu Dec  5 15:27:42 2002
+++ b/drivers/usb/media/dabusb.c	Thu Dec  5 15:27:42 2002
@@ -171,7 +171,7 @@
 	return 0;
 }
 /*-------------------------------------------------------------------*/
-static void dabusb_iso_complete (struct urb *purb)
+static void dabusb_iso_complete (struct urb *purb, struct pt_regs *regs)
 {
 	pbuff_t b = purb->context;
 	pdabusb_t s = b->s;
diff -Nru a/drivers/usb/media/konicawc.c b/drivers/usb/media/konicawc.c
--- a/drivers/usb/media/konicawc.c	Thu Dec  5 15:27:42 2002
+++ b/drivers/usb/media/konicawc.c	Thu Dec  5 15:27:42 2002
@@ -332,7 +332,7 @@
 }
 
 
-static void konicawc_isoc_irq(struct urb *urb)
+static void konicawc_isoc_irq(struct urb *urb, struct pt_regs *regs)
 {
 	struct uvd *uvd = urb->context;
 	struct konicawc *cam = (struct konicawc *)uvd->user_data;
diff -Nru a/drivers/usb/media/ov511.c b/drivers/usb/media/ov511.c
--- a/drivers/usb/media/ov511.c	Thu Dec  5 15:27:42 2002
+++ b/drivers/usb/media/ov511.c	Thu Dec  5 15:27:42 2002
@@ -3843,7 +3843,7 @@
 }
 
 static void
-ov51x_isoc_irq(struct urb *urb)
+ov51x_isoc_irq(struct urb *urb, struct pt_regs *regs)
 {
 	int i;
 	struct usb_ov511 *ov;
diff -Nru a/drivers/usb/media/pwc-if.c b/drivers/usb/media/pwc-if.c
--- a/drivers/usb/media/pwc-if.c	Thu Dec  5 15:27:42 2002
+++ b/drivers/usb/media/pwc-if.c	Thu Dec  5 15:27:42 2002
@@ -598,7 +598,7 @@
 /* This gets called for the Isochronous pipe (video). This is done in
  * interrupt time, so it has to be fast, not crash, and not stall. Neat.
  */
-static void pwc_isoc_handler(struct urb *urb)
+static void pwc_isoc_handler(struct urb *urb, struct pt_regs *regs)
 {
 	struct pwc_device *pdev;
 	int i, fst, flen;
diff -Nru a/drivers/usb/media/usbvideo.c b/drivers/usb/media/usbvideo.c
--- a/drivers/usb/media/usbvideo.c	Thu Dec  5 15:27:42 2002
+++ b/drivers/usb/media/usbvideo.c	Thu Dec  5 15:27:42 2002
@@ -1820,7 +1820,7 @@
 	return totlen;
 }
 
-static void usbvideo_IsocIrq(struct urb *urb)
+static void usbvideo_IsocIrq(struct urb *urb, struct pt_regs *regs)
 {
 	int i, ret, len;
 	struct uvd *uvd = urb->context;
